### Virtual Method

# Ide LspClient supports_language

#### Declaration

    gboolean
    supports_language (
      IdeLspClient* self,
      const gchar* language_id
    )

#### Description

No description available.

#### Parameters

`language_id` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| No description available.